/*
* This file is part of Converseen, an open-source batch image converter
* and resizer.
*
* (C) Faster 2010
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* Contact e-mail: Faster <faster3ck@gmail.com>
*
*/

#ifndef __CONVERTER_H__
#define __CONVERTER_H__

#include <QObject>
#include <Magick++.h>
#include <string>
#include <iostream>

#include "dialogconversionstatus.h"

using namespace Magick;
using namespace std;

class Converter  : public QObject
{
    Q_OBJECT
public:
    Converter();
    ~Converter();
    bool convert(QString fileName, QString format, int quality, QString dest);
    void setResize(QString resizingStr);
    void setDensity(QString densityStr);
    void setOverwrite(bool overwrite);
    void setRenameMode(bool rename);
    void setRenamingString(QString renamingString);
private:
    Image resize(Image &my_image);
    Image changeDensity(Image &my_image);
    bool writeImage(Image &my_image, QString format, int quality, QString out);
    QString overwrite(QString out);
    QString renameFileName(QString oldFileName);


    DialogConversionStatus *dlgStatus;

    bool zoom;
    bool overwriting;
    bool renaming;
    bool b_density;

    QString renamingLine;

    QString resizingString;
    QString densityString;
};

#endif // __CONVERTER_H__
