/*
* This file is part of Converseen, an open-source batch image converter
* and resizer.
*
* (C) Faster 2010
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* Contact e-mail: Faster <faster3ck@gmail.com>
*
*/

#include "dialogconversionstatus.h"

DialogConversionStatus::DialogConversionStatus(QWidget *parent) :
    QDialog(parent){
    setupUi(this);

    c_tot = 0;
    c_ok = 0;
    c_no = 0;

    connect(pushClose, SIGNAL(clicked()), this, SLOT(close()));
}
//
void DialogConversionStatus::conversionStatus(QString image, QString status)
{
    QTreeWidgetItem *item = new QTreeWidgetItem(treeWidget);
    item->setText(0, image);
    item->setText(1, status);
}
//
void DialogConversionStatus::counter(bool ok)
{
    c_tot++;

    if (ok)
        c_ok++;
    else
        c_no++;

    labelOk->setText(QString::number(c_ok));
    labelKo->setText(QString::number(c_no));
    labelTotal->setText(QString::number(c_tot));
}
